oncancel
Description
Fires on click outside the side areaUsage
oncancel?: () => void;
Example
<script setup>
import { ref } from "vue";
import { Button, SideArea } from "@svar-ui/vue-core";
const sideAreaVisible = ref(false);
function openSideArea() {
sideAreaVisible.value = true;
}
function closeSideArea() {
sideAreaVisible.value = false;
}
</script>
<template>
<div>
<Button :onclick="openSideArea">Show Side Area</Button>
</div>
<SideArea v-if="sideAreaVisible" :oncancel="closeSideArea">
<!-- Some content -->
</SideArea>
</template>
Related article: Handling SideArea closing

onCancel
Description
Fires on click outside the side areaUsage
onCancel?: () => void;
Example
import { useState } from "react";
import { Button, SideArea } from "@svar-ui/react-core";
export default function Example() {
const [sideAreaVisible, setSideAreaVisible] = useState(false);
const openSideArea = () => {
setSideAreaVisible(true);
};
const closeSideArea = () => {
setSideAreaVisible(false);
};
return (
<div>
<Button onClick={openSideArea}>Show Side Area</Button>
{sideAreaVisible && (
<SideArea onCancel={closeSideArea}>
{/* Some content */}
</SideArea>
)}
</div>
);
}
Related article: Handling SideArea closing